<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bBD.m05bGastos,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<!-- Para poder mostrar caracteres especiales en los mensajes javascript -->
<%@page contentType="text/html; charset=UTF-8" %>
	

<HTML>

<!-- Hojas de Estilo -->
	<%	String m05bCalendarEstilo = m05bFicheroProperties.getInstance().getParameter("m05bEstilos.Calendario");  %>
	<%=m05bCalendarEstilo%>

<%@ include file="/m05bIdioma.inc"%>

<head>
		<title>Gastos</title>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">	
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>
					
		<!-- Calendarios -->
		<%	String m05bCalendarScripts = m05bFicheroProperties.getInstance().getParameter("m05bScripts.Calendario");  %>
		<%=m05bCalendarScripts%>
			
		<SCRIPT language="JavaScript">	
			function fncGrabar(codigo,accion) {
				var docu = document.formGastos;
				if (accion != "E") {
					if (docu.Importe.value == "0"){
							alert(dameAlerta(idioma, 195));
							return false;
					} else if (esVacio(docu.Fecha.value)){
							alert(dameAlerta(idioma, 196));
							return false;}
					if (esVacio(docu.Cargo.value)){
							alert(dameAlerta(idioma, 201));
							return false;
					} else if (esVacio(docu.Concepto.value)){
							alert(dameAlerta(idioma, 202));
							return false;
					} 
					if(existeCaracter(docu.Hora.value,"\'")||existeCaracter(docu.Hora.value,'\"')){
						alert(dameAlerta(idioma, 1));
						docu.Hora.focus();
						return;
					}
					if(existeCaracter(docu.CIF.value,"\'")||existeCaracter(docu.CIF.value,'\"')){
						alert(dameAlerta(idioma, 1));
						docu.CIF.focus();
						return;
					}
					if(existeCaracter(docu.Comercio.value,"\'")||existeCaracter(docu.Comercio.value,'\"')){
						alert(dameAlerta(idioma, 1));
						docu.Comercio.focus();
						return;
					}
				}
				docu.Tarjeta.disabled=false;
				docu.Matricula.disabled=false;
				docu.action="m05bGrabarGastosListadoServlet?Codigo=" + codigo + "&Accion=" + accion;
				docu.submit();
			}
		</SCRIPT>
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';" onunload="document.body.style.cursor='wait';">
<div id='p01popUpWindowCalendar' style='position:relative; top:15px left:150px'></div>
<% String cabecera=request.getParameter("Cabecera");
if (cabecera.equals("true"))  {  %>
	 <SCRIPT language=JavaScript>
		var urlIdioma;		//URL recarga en funcion del idioma
		var rutaCabecera;	//Camino de migas
		rutaCabecera = "<a style='text-decoration:none; font-size:8pt; color:yellow; font-family:verdana' href='/m05bParqueMovilWar/m05bGastosJsp.jsp'>\\Gastos</a>";
	 </SCRIPT>
	 <%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
  <%} %>
<FORM NAME="formGastos" METHOD="POST">
		<%

		String sql = "", accion, sHora="", sFecha="";
		
		String codigo = request.getParameter("Codigo");

		m05bComun comun= new m05bComun();
		m05bCombo miCombo= new m05bCombo();
		m05bGastos gastos = null;

		if ( (codigo==null) || (codigo.equals("")) || (codigo.equals("NUEVO")) ) {
			accion=m05bConstantes.ACC_INSERTAR;
			session.removeAttribute("m05bGastos");
		}
		else   {
			accion=m05bConstantes.ACC_ACTUALIZAR;
			gastos = (m05bGastos)session.getAttribute("m05bGastos");

		    sFecha=gastos.getGas_fgasto();
		    sFecha=sFecha.trim();
		    if (sFecha==null || sFecha.equals(""))
		        sFecha="";
		    else {
		        sHora=comun.Hora(sFecha);
		        sHora=comun.formatearHora(sHora);
		        sFecha=comun.Mes(sFecha,campoTexto3);
		    }
		}
		if (gastos == null) {
			gastos = new m05bGastos();
			session.setAttribute("m05bGastos",gastos);
		}
		String matricula=request.getParameter("Matricula");
		String tarjeta=gastos.getGas_tarjeta();
		if ((tarjeta == null) || (tarjeta.equals(""))) {  // Recuperar la tarjeta a partir de la matricula
			m05bCamposInformes miTarjeta = new m05bCamposInformes();
			tarjeta=miTarjeta.getTarjeta(matricula);
		}
		String importe = gastos.getGas_importe();
		if ((importe == null) || (importe.equals(""))) { 
			importe="0";
		}
		String cargabon=gastos.getGas_cargo()==null?"":gastos.getGas_cargo();
		String concepto=gastos.getGas_codcpto()==null?"":gastos.getGas_codcpto();
		String sCIF = gastos.getGas_estbcif()==null?"":gastos.getGas_estbcif();
		String sKM = gastos.getGas_kilometros()==null?"":gastos.getGas_kilometros();
		String sLitros = gastos.getGas_litros()==null?"":gastos.getGas_litros();
		String sComercio = gastos.getGas_estnombre()==null?"":gastos.getGas_estnombre();
		
	    String finalizada=request.getParameter("Finalizada")==null ? "N":request.getParameter("Finalizada");

		%>
			<!--      BOTONERA  --> 
		  <TABLE class="buscar">
			<tr>
			    <td width="80%" align="right"><INPUT TYPE="button" class="boton" style="cursor: hand" VALUE="<%=res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:history.back();return false;" onMouseOver="top.status='Retornar'; return true" onMouseOut="top.status=''; return true"/></td>
			<% if (finalizada.equals("N")) { %>
			    <td width="10%" align="right"><INPUT TYPE="button" class="boton"  style="cursor: hand" VALUE="<%=res.getString("etBOT_ELIMINAR")%>" ONCLICK="JavaScript:fncGrabar('<%=codigo%>', '<%=m05bConstantes.ACC_ELIMINAR%>');return false;" onMouseOver="top.status='Eliminar'; return false" onMouseOut="top.status=''; return false" /> </td>
			    <td width="10%" align="right"><INPUT TYPE="button" class="boton"  style="cursor: hand" VALUE="<%=res.getString("etBOT_GRABAR")%>" ONCLICK="JavaScript:fncGrabar('<%=codigo%>', '<%=accion%>');return false;" onMouseOver="top.status='Grabar'; return false" onMouseOut="top.status=''; return false" /> </td>
			<% } %>
			</tr>
		  </TABLE>
			
		  <!--input type="hidden" name="CodAsig" value="<%//=request.getParameter("CodAsig")%>"-->
		  <TABLE class="buscar">
		    <tr>
		      <td width="40%" align="left" class="searchTitle"><%=res.getString("etTarjeta")%></td>
		      <td width="60%" align="left" class="searchTitle" colspan="4"><%=res.getString("etTablaAltas2")%></td>
		    </tr>
		    <tr>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Tarjeta" VALUE="<%=tarjeta%>" disabled size="20" maxlength="20"/></td>
		      <td align="left" colspan="4"><INPUT class="inputField" TYPE="TEXT" NAME="Matricula" VALUE="<%=matricula%>" disabled size="20" maxlength="20"/></td>
		    </tr>
		    <tr>
		      <td align="left" class="searchTitle"><%=res.getString("etImporte")%></td>
		      <td colspan="4" align="left" class="searchTitle"><%=res.getString("etFecha")%></td>
		    </tr>
		    <tr>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Importe" VALUE="<%=importe%>" onblur="javascript:formatNumeroDecimal(this,8,2); return false;" size="15" maxlength="8"/></td>
		      <td align="left" width="10%"><INPUT class="inputField" TYPE="TEXT" NAME="Fecha" VALUE="<%=sFecha%>" size="10" onblur="javascript:formatearFecha(this);return false;" /></td>
		      <td align="left" width="10%"><a href='#' name='anchorFecha' onClick='JavaScript:showCalendar("anchorFecha",idioma,document.all("Fecha"),true,25,10,2002)'onMouseOver="top.status='Ver Calendario'; return true" onMouseOut="top.status=''; return true" ><img border='0' src='<%=m05bConstantesPaginas.PATH_IMAGENES%>/p01calendario.gif'/></td>
		      <td align="left" width="10%"><INPUT class="inputField" TYPE="TEXT" NAME="Hora" VALUE="<%=sHora%>" size="10" onBlur="javascript:formatearHora(this); ValidaHoras(this.value);" return false;" /></td>
		      <td></td>
		    </tr>
		    <tr>
		      <td valign="top" align="left" class="searchTitle"><%=res.getString("etCifEstablecimiento")%></td>
		      <td align="left" valign="top" class="searchTitle" colspan="4"><%=res.getString("etComercio")%></td>
		    </tr>
		    <tr>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="CIF" VALUE="<%=sCIF%>" size="15" maxlength="15"/></td>
		      <td align="left" colspan="4"><INPUT class="inputField" TYPE="TEXT" NAME="Comercio" VALUE="<%=sComercio%>" size="50" maxlength="15"/></td>
		    </tr>
		    <tr>
		      <td align="left" class="searchTitle"><%=res.getString("etKmGasto")%></td>
		      <td valign="top" colspan="2" align="left" class="searchTitle"><%=res.getString("etLitros")%></td>
		      <td align="left" class="searchTitle"><%=res.getString("etCargoAbono")%></td>
		      <td align="left" class="searchTitle"><%=res.getString("etOrdenes6")%></td>
		    </tr>
		    <tr>
		      <td align="left"><INPUT class="inputField" TYPE="TEXT" NAME="Km" VALUE="<%=sKM%>" onblur="javascript:formatNumero(this);return false;" size="15" maxlength="10"/></td>
		      <td align="left" colspan="2"><INPUT class="inputField" TYPE="TEXT" NAME="Litros" VALUE="<%=sLitros%>" onblur="javascript:formatNumeroDecimal(this,2,2);return false;" size="15" maxlength="5"/></td>
		      <td align="left" align="left">
		        	<select name="Cargo"  class="inputField">
		                    <option value="" <% if (cargabon.equals("")) { %> selected <% } %>/> </option>
		                    <option value="C" <% if (cargabon.equals("C")) { %> selected <% } %>/><%=res.getString("etCargo")%></option>
		                    <option value="A" <% if (cargabon.equals("A")) { %> selected <% } %>/><%=res.getString("etAbono")%></option>
			        </select>
		      </td>
		      <td align="left"><select name="Concepto"  class="inputField" VALUE="<%=concepto%>"  >
		                    <option value="" > </option>
		                    <%=miCombo.popCombo( m05bConstantes.COL_99_CODDESC, "NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+")",
		        					m05bConstantes.TAB_DESCRIPCIONES, m05bConstantes.COL_99_CODTABLA, m05bConstantes.DESC_CONCEPTOSGASTOS, concepto )%>
		           </select>
		      </td>
		    </tr>
		  </TABLE>
<script>
formatNumeroDecimal(document.formGastos.Importe,8,2);
formatNumero(document.formGastos.Km);
formatNumeroDecimal(document.formGastos.Litros,2,2);
</script>				  
		<!--input type="hidden" name="Matricula" value="<%=matricula%>"-->
</FORM>
<%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>
</BODY>
</HTML>